Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.keyattributedmr.model
Interface VKeyattributedmrPackage.Literals

Enclosing interface:
  VKeyattributedmrPackage

    public static interface VKeyattributedmrPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE` The meta object literal for the ' `Key Attribute Domain Model Reference`' class.
`static org.eclipse.emf.ecore.EReference` | `KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__KEY_DMR` The meta object literal for the 'Key DMR' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__KEY_VALUE` The meta object literal for the 'Key Value' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__VALUE_DMR` The meta object literal for the 'Value DMR' containment reference feature.

Field Detail

### KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EClass KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE

  The meta object literal for the ' `Key Attribute Domain Model Reference`' class.

  See Also:
    `VKeyAttributeDomainModelReferenceImpl`, `VKeyattributedmrPackageImpl.getKeyAttributeDomainModelReference()`

### KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__KEY_DMR

    static final org.eclipse.emf.ecore.EReference KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__KEY_DMR

  The meta object literal for the 'Key DMR' containment reference feature.

### KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__KEY_VALUE

    static final org.eclipse.emf.ecore.EAttribute KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__KEY_VALUE

  The meta object literal for the 'Key Value' attribute feature.

### KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__VALUE_DMR

    static final org.eclipse.emf.ecore.EReference KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__VALUE_DMR

  The meta object literal for the 'Value DMR' containment reference feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.